# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'office', 'model_label': 'office'},
    {'model_name': 'area', 'model_label': 'area'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:office_{model['model_name']}_add",
        "perms": [f"office.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:office_{model['model_name']}_changelist",
        "perms": [
            f"office.view_{model['model_name']}",
            f"office.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'office',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'office'}},
    'perms': ['office.*'],
    'children': children
}]
